Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QComboBox.InsertPolicy

    java.lang.Object
      java.lang.Enum<QComboBox.InsertPolicy>
          com.trolltech.qt.gui.QComboBox.InsertPolicy

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QComboBox.InsertPolicy>

Enclosing class:
  QComboBox

    public static enum QComboBox.InsertPolicy

extends java.lang.Enum<QComboBox.InsertPolicy>
implements QtEnumerator

This enum specifies what the `QComboBox` should do when a new string is entered by the user.

Enum Constant Summary
`InsertAfterCurrent` The string is inserted after the current item in the combobox.
`InsertAlphabetically` The string is inserted in the alphabetic order in the combobox.
`InsertAtBottom` The string will be inserted after the last item in the combobox.
`InsertAtCurrent` The current item will be replaced by the string.
`InsertAtTop` The string will be inserted as the first item in the combobox.
`InsertBeforeCurrent` The string is inserted before the current item in the combobox.
`NoInsert` The string will not be inserted into the combobox.

Method Summary
`static QComboBox.InsertPolicy` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QComboBox.InsertPolicy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QComboBox.InsertPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoInsert

    public static final QComboBox.InsertPolicy NoInsert

  The string will not be inserted into the combobox.

### InsertAtTop

    public static final QComboBox.InsertPolicy InsertAtTop

  The string will be inserted as the first item in the combobox.

### InsertAtCurrent

    public static final QComboBox.InsertPolicy InsertAtCurrent

  The current item will be replaced by the string.

### InsertAtBottom

    public static final QComboBox.InsertPolicy InsertAtBottom

  The string will be inserted after the last item in the combobox.

### InsertAfterCurrent

    public static final QComboBox.InsertPolicy InsertAfterCurrent

  The string is inserted after the current item in the combobox.

### InsertBeforeCurrent

    public static final QComboBox.InsertPolicy InsertBeforeCurrent

  The string is inserted before the current item in the combobox.

### InsertAlphabetically

    public static final QComboBox.InsertPolicy InsertAlphabetically

  The string is inserted in the alphabetic order in the combobox.

Method Detail

### values

    public static final QComboBox.InsertPolicy[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QComboBox.InsertPolicy c : QComboBox.InsertPolicy.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QComboBox.InsertPolicy valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QComboBox.InsertPolicy resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD